Publish a quote, sending it for approval first if required
curl --request POST \
--url https://eu.sequencehq.com/api/quotes/{id}/publish \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"sendRecipientsEmail": true,
"emailMessage": "Here's your quote",
"makeReadyToSign": true,
"messageForApprover": "Please can you take a look at this quote"
}
EOFimport requests
url = "https://eu.sequencehq.com/api/quotes/{id}/publish"
payload = {
"sendRecipientsEmail": True,
"emailMessage": "Here's your quote",
"makeReadyToSign": True,
"messageForApprover": "Please can you take a look at this quote"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sendRecipientsEmail: true,
emailMessage: 'Here\'s your quote',
makeReadyToSign: true,
messageForApprover: 'Please can you take a look at this quote'
})
};
fetch('https://eu.sequencehq.com/api/quotes/{id}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"outcome": "PUBLISHED"
}This response has no body data.This response has no body data.This response has no body data.This response has no body data.This response has no body data.Quotes
Publish a quote, sending it for approval first if required
Publishes the quote directly, or triggers the account’s active quote approval automation instead if one is configured.
POST
/
quotes
/
{id}
/
publish
Publish a quote, sending it for approval first if required
Headers
Your API credentials. Eg. Basic {credentials}.
Use this header to select an API version
Available options:
2024-07-30 Path Parameters
Quote Id
Body
application/json
If true Sequence will send an email to all quote recipients notifying them of the published quote
Example:
true
If true the quote is made ready to sign as part of publishing
Example:
true
Optional message to include in email body
Example:
"Here's your quote"
Optional comment for the approver, used when the account requires quote approval
Example:
"Please can you take a look at this quote"
Response
OK
Whether the quote was published directly, or sent into an approval flow
Available options:
PUBLISHED, APPROVAL_REQUESTED Example:
"PUBLISHED"